package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF647Data {

    private Map<String, Object> params;
    
    public MWF647Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsProductType() {
        return (String) params.get("RS_PRODUCT_TYPE");
    }

    public Double rsInfolimit() {
        return (Double) params.get("RS_INFOLIMIT");
    }

    public String rsAccId() {
        return (String) params.get("RS_ACC_ID");
    }

    public String rsCurrency() {
        return (String) params.get("RS_CURRENCY");
    }

    public String rsContractNr() {
        return (String) params.get("RS_CONTRACT_NR");
    }

    public Double rsCashLimitPercent() {
        return (Double) params.get("RS_CASH_LIMIT_PERCENT");
    }

    public Double rsInstalmentPercent() {
        return (Double) params.get("RS_INSTALMENT_PERCENT");
    }

    public Double rsInfolimitGuaranted() {
        return (Double) params.get("RS_INFOLIMIT_GUARANTED");
    }

    public String rsReasonCategory() {
        return (String) params.get("RS_REASON_CATEGORY");
    } 

}
